> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/guides/deploy/server-configuration/database-servers/oracle.md).

# Oracle

## Server configuration

To filter out all system tables when connecting to Oracle, supply the proper schema name to connect to.

{% hint style="danger" %}
**Note**\
Supply the schema name in **all upper case letters**, or else it won't work!
{% endhint %}

## Synonyms

Starting from release 8.0.3, Servoy supports Oracle Synonyms.

A special property (`includeSynonyms=true`) needs to be set for the server to configure the Oracle driver to retrieve column information for synonyms.

This cannot be set in the server editor, it has to be configured directly in servoy.properties, see the example.

```javascript
server.11.serverName=my_oracle_server
server.11.driver=oracle.jdbc.driver.OracleDriver
server.11.enabled=true
server.11.property.includeSynonyms=true
...
```

Note that Servoy will overwrite servoy.properties on shutdown (both Developer and ApplicationServer).

The driver will return the column information, but not primary keys, so the primary key has to be set manually (`row_ident`) in the table editor.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/guides/deploy/server-configuration/database-servers/oracle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
